
CephFS - Feature #24285

mgr: add module which displays current usage of file system (`fs top`)

05/25/2018 02:28 AM - Patrick Donnelly

Status: Resolved % Done: 0%

Priority: High   

Assignee: Venky Shankar   

Category: Performance/Resource Usage   

Target version: v16.0.0   

Source: Development Affected Versions:  

Tags:  Component(FS): Client, MDS, MDSMonitor, kceph, tools

Backport:  Labels (FS): task(intern), task(medium)

Reviewed:  Pull request ID: 29951

Description

It would ideally provide a list of sessions doing I/O, what kind of I/O, bandwidth of reads/writes, etc. Also the same information in

aggregate form. The other metrics of general interest: caps outstanding, MDS cache size (broken down by type?), cache

utilization/hits, client cache utilization (#26996), etc.

Related issues:

Related to CephFS - Bug #24004: mds: curate priority of perf counters sent to... Resolved 05/03/2018

Related to CephFS - Feature #26996: cephfs: get capability cache hits by clie... Resolved

Related to CephFS - Feature #36253: cephfs: clients should send usage metadat... Resolved

Related to CephFS - Feature #41824: mds: aggregate subtree authorities for di... New

Related to Linux kernel client - Feature #43215: kclient: send usage metrics ... Resolved

Related to CephFS - Feature #43423: mds: collect and show the dentry lease me... Resolved

Duplicated by CephFS - Bug #36252: cephfs: `ceph fs top` command Duplicate

History

#1 - 06/08/2018 05:34 PM - Patrick Donnelly

- Subject changed from mgr: add module which displays current usage of file system to mgr: add module which displays current usage of file system

(`fs top`)

- Category set to Performance/Resource Usage

- Component(FS) MDS, MDSMonitor, tools added

#2 - 06/18/2018 01:24 PM - Patrick Donnelly

- Related to Bug #24004: mds: curate priority of perf counters sent to mgr added

#3 - 09/28/2018 05:54 PM - Patrick Donnelly

- Tracker changed from Support to Feature

- Description updated

- Start date deleted (05/25/2018)

- Source set to Development

- Component(FS) Client, kceph added

#4 - 09/28/2018 05:54 PM - Patrick Donnelly

- Duplicated by Bug #36252: cephfs: `ceph fs top` command added

#5 - 09/28/2018 05:54 PM - Patrick Donnelly

- Related to Feature #26996: cephfs: get capability cache hits by clients to provide introspection on effectiveness of client caching added
#6 - 09/28/2018 06:11 PM - Patrick Donnelly

- Related to Feature #36253: cephfs: clients should send usage metadata to MDSs for administration/monitoring added

#7 - 01/17/2019 03:23 PM - Patrick Donnelly

- Status changed from New to In Progress

- Assignee set to Venky Shankar

#8 - 03/07/2019 11:21 PM - Patrick Donnelly

- Target version changed from v14.0.0 to v15.0.0

#9 - 03/21/2019 12:50 PM - Venky Shankar

for completeness, linking John's performance probes blueprint here, which is really interesting: 

https://tracker.ceph.com/projects/ceph/wiki/Live_Performance_Probes

#10 - 09/13/2019 06:12 PM - Patrick Donnelly

- Related to Feature #41824: mds: aggregate subtree authorities for display in `fs top` added

#11 - 12/09/2019 11:54 AM - Venky Shankar

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 29951

#12 - 12/09/2019 06:52 PM - Patrick Donnelly

- Related to Feature #43215: kclient: send usage metrics to MDS added

#13 - 12/26/2019 06:16 AM - Xiubo Li

- Related to Feature #43423: mds: collect and show the dentry lease metric added

#14 - 02/18/2020 09:55 PM - Patrick Donnelly

- Target version changed from v15.0.0 to v16.0.0

#15 - 10/13/2020 01:51 AM - Patrick Donnelly

- Status changed from Fix Under Review to Resolved

Powered by TCPDF (www.tcpdf.org)

03/13/2024 2/2

https://tracker.ceph.com/projects/ceph/wiki/Live_Performance_Probes
http://www.tcpdf.org

